Bug 508223 - (CVE-2008-4956) CVE-2008-4956 fwbuilder: temporary file vulnerability
CVE-2008-4956 fwbuilder: temporary file vulnerability
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=moderate,source=suse,reported=...
: Security
Depends On: 508224
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 05:28 EDT by Vincent Danen
Modified: 2010-12-23 19:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 19:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch proposed on the debian bts (508 bytes, patch)
2009-06-26 05:38 EDT, Vincent Danen
no flags Details | Diff

  None (edit)
Description Vincent Danen 2009-06-26 05:28:41 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4956 to
the following vulnerability:

Name: CVE-2008-4956
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-4956
Assigned: 20081105
MLIST: [oss-security] 20081030 CVE requests: tempfile issues for aview, mgetty, openoffice, crossfire
URL: http://www.openwall.com/lists/oss-security/2008/10/30/2
CONFIRM: http://bugs.debian.org/496406
CONFIRM: http://dev.gentoo.org/~rbu/security/debiantemp/fwbuilder
CONFIRM: https://bugs.gentoo.org/show_bug.cgi?id=235770
CONFIRM: https://bugs.gentoo.org/show_bug.cgi?id=235809 

fwb_install in fwbuilder 2.1.19 allows local users to overwrite arbitrary
files via a symlink attack on a /tmp/ssh-agent.##### temporary file. 

Note: the description only indicates 2.1.19 but I have verified this issue
affects both Fedora 9 and 10.  There are no ssh-agent calls in fwbuilder as
packaged in Fedora 11.
Comment 1 Vincent Danen 2009-06-26 05:29:03 EDT
Created fwbuilder tracking bugs for this issue

CVE-2008-4956 Affects: F10 [bug #508224]
Comment 2 Vincent Danen 2009-06-26 05:38:33 EDT
Created attachment 349527 [details]
patch proposed on the debian bts

Note You need to log in before you can comment on or make changes to this bug.